DCMTK - Bug #896

xml2dcm crashes caused by defective XML files
2019-09-04 09:32 - Marco Eichelberg

Status: Closed Start date: 2019-09-04
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Application Estimated time: 0:00 hour
Target version: 3.6.5

Module: dcmdata Compiler:

Operating System:

Description

Memory corruption related crashes have been discovered during fuzz-testing of xml2dcm. Each of the XML files in the attached ZIP
file will cause a segmentation fault on systems affected.

The bug can be reproduced on DCMTK 3.6.2 and 3.6.4, Linux (x64) and MacOS (x64), both using libxmlI2 2.9.4. (with and without
ICONV support). The bug seems to not affect DCMTK 3.6.4 on Windows (x64) with libxmlI2 2.9.7.

Bug report and sample files submitted 2019-09-03 by Sergei Gordey.

History

#1 - 2019-09-04 12:05 - Jorg Riesmeier

- Category changed from Library and Apps to Application
- Status changed from New to Closed

- Assignee set to Jérg Riesmeier

- % Done changed from 0 to 100

Closed by commit 48a5f4f.

#2 - 2019-09-04 12:38 - Marco Eichelberg
Update: Bug report and sample files submitted 2019-09-03 by Sergei Gordey, based on work by Maria Nedyak.

#3 - 2019-09-04 15:23 - J6rg Riesmeier

Fixed another issue with commit 4ee815d.

Files

xml2dcm-crashes.zip 70.3 KB 2019-09-04 Marco Eichelberg
